org.eclipse.mat.hprof

## Class Pass1Parser

- java.lang.Object
- - org.eclipse.mat.hprof.Pass1Parser

    public class Pass1Parser
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Pass1Parser(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read(File file, String dumpNrToRead)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pass1Parser

    public Pass1Parser(IHprofParserHandler handler,
                       SimpleMonitor.Listener monitor,
                       HprofPreferences.HprofStrictness strictnessPreference)

### Method Detail

#### read

    public void read(File file,
                     String dumpNrToRead)
              throws SnapshotException,
                     IOException

Throws:
  `SnapshotException`
  `IOException`